SRS Integration Partner Services
HomeAPIs
HomeAPIs
  1. Authentication
  • Authentication
    • Token
      POST
  • Orders
    • Delivery Details
      GET
    • Deliveries List
      POST
    • Proof of Delivery
      GET
    • Order Details
      GET
    • Order List
      POST
    • Submit Order
      POST
  • Invoices
    • Invoice Details
      GET
    • Invoices List
      POST
    • Invoice Pdf
      GET
  • Products
    • Price
      POST
    • UOM Conversion
      GET
    • Color Recommendations
      POST
    • Catalog Item Convert
      POST
    • Catalog
      GET
    • By Item Codes
      POST
  • Customers
    • Customer Details
      GET
    • Validate Customer
      GET
    • Order Templates
      GET
  • Branches
    • Branch Locations
      GET
    • Active Branch Products
      GET
    • Customer Branch Locations
      GET
  • Deliveries
    • Coordinates
      GET
  1. Authentication

Token

POST
/Authentication/token
warning-icon.png
PLEASE DO NOT SHARE YOUR CREDENTIALS WITH YOUR CUSTOMERS
Authorize API generates bearer token which needs to be passed to all the APIs

Request

Header Params

Body Params application/x-www-form-urlencoded

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://services-qa.roofhub.pro/Authentication/token' \
--header 'Accept: application/json' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'client_id=' \
--data-urlencode 'client_secret=' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'scope=ALL'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "token_type": "string",
    "expires_in": "int32",
    "ext_expires_in": "int32",
    "access_token": "string"
}
Modified at 2026-04-09 18:18:53
Previous
Authentication
Next
Delivery Details
Built with